{% extends 'frame.html.twig' %}

{% block additional_headers %}
    <script src="{{ asset('bundles/app/js/censorship_popup.js') }}"></script>
{% endblock %}


{% block body %}

    {% include 'widgets/page_switcher.html.twig' with {'route': 'accountant'} %}
   <div class="table_wrapper">
       <div class="table">
           <div class="table_header general_list_row table_row">
               <div class="general_list_cell table_cell">{{ 'tableHeader.username' | trans }}</div>
               <div class="general_list_cell table_cell">{{ 'tableHeader.name' | trans }}</div>
               <div class="general_list_cell table_cell">{{ 'tableHeader.surname' | trans }}</div>
               <div class="general_list_cell table_cell">{{ 'tableHeader.email' | trans }}</div>
               <div class="general_list_cell table_cell">{{ 'tableHeader.actions' | trans }}</div>
           </div>



           {% for user in users %}
           <div class="general_list_row table_row">
               <div class="general_list_cell table_cell">{{ user.username }}</div>
               <div class="general_list_cell table_cell">{{ user.name }}</div>
               <div class="general_list_cell table_cell">{{ user.surname }}</div>
               <div class="general_list_cell table_cell">{{ user.email }}</div>
               <div class="general_list_cell table_cell" style="position: relative;">
                   <div class="censorship_popup">
                       <div>{{ 'Show' | trans }}</div>
                   </div>
                   {{ form_start(forms[loop.index-1]) }}
                   {{ form_widget(forms[loop.index-1]) }}
                   {{ form_end(forms[loop.index-1]) }}
               </div>
           </div>
           {% endfor %}
       </div>
   </div>
    {% include 'widgets/page_switcher.html.twig' with {'route': 'accountant'} %}
{% endblock %}
